# Fetching a list of Holidays

This endpoint returns structured Holiday objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the holidays top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /holidays
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- holiday_calendar_associations (HolidayCalendarAssociation) - The Holiday Calendar Associations for this Holiday.

  - `matching` (string)
    Includes holidays matching the specified name.

  - `not_on_calendars` (string)
    Includes holidays not specified in the comma separated list of calendar IDs.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.
    Enum: "calendar_names_list"

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: start_date:asc and start_date:desc.

  - `page` (integer)

  - `per_page` (integer)

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `holidays` (object)

  - `holiday_calendar_associations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


